package com.nisum.paymentvendorsimulator.paypal.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;
import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class PayPalResponse {

  String id;
  String status;
  PayPalAmount amount;
  String invoice_id;
  PayPalSellerProtection seller_protection;
  LocalDateTime expiration_time;
  LocalDateTime create_time;
  LocalDateTime update_time;
  List<PayPalLink> links;

}


